# Automatic Connector Actions

This script will do the following things automatically whenever the host grid connects via a connector to another grid:

- Disable all gyroscopes on the host grid
- Disable all thrusters on the host grid
- Set all gas tanks (Oxygen and Hydrogen) on the host grid to Stockpile
- Set the recharge mode of all batteries on the host grid to Recharge

Additionally, whenever the host grid disconnects from a connector, the script will:

- Enable all gyroscopes on the host grid
- Enable all thrusters on the host grid that are prefixed with `[MANEUVERING]`
- Set all gas tanks (Oxygen and Hydrogen) on the host grid to not Stockpile
- Set the recharge mode of all batteries on the host grid to Auto

This allows for ships to dock with piston connectors without having to convert the other grid to a station. You can also do this with normal timer blocks and event controllers, but they are not very reliable in my personal experience.

You can optionally invoke the script manually, through something like an event controller. The arguments are as follows:

- `dock` - Triggers the docking process
- `undock` - Triggers the undocking process

If you want to use the script manually, you should disable `Polling` in the Custom Data field of the programmable block running the script.
